Subject: Order - still no response
From: "Mike" <[email-masked]>
To: "Blake Hunter IMS" <[email-masked]>
Date: Fri, 18 Apr 2008 11:32:05 -0400

Blake,
I still have not received any response from Bissell Apartments as far as receiving a PO and a contact name.  Can you get a hold of them and have them send over their PO (complete with contact and other updated information)?  I would like to get this off of my desk and entered into our system so we can send these out asap.  I appreciate your help.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]